com.mapinfo.midev.persistence.json

## Class GeoJSONUtilities

- java.lang.Object
- - com.mapinfo.midev.persistence.json.GeoJSONUtilities

    public final class GeoJSONUtilities
    extends Object

A class used to create and parse GeoJSON representations of a geometry.

See Also:
  GeoJSON Format Specification

### Method Summary

All Methods Static Methods Concrete Methods
`static IFeatureGeometry` `fromGeoJSON(String jsonGeometry)` Returns a Geometry from the geoJSON format.
`static String` `toGeoJSON(IFeatureGeometry geometry)` Write a GeoJSON representation of a geometry.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### fromGeoJSON

    public static IFeatureGeometry fromGeoJSON(String jsonGeometry)

Returns a Geometry from the geoJSON format.

Parameters:
  `jsonGeometry` - geometry in geoJSON format.
Returns:
  the Geometry from geoJSON format.

#### toGeoJSON

    public static String toGeoJSON(IFeatureGeometry geometry)

Write a GeoJSON representation of a geometry.

Parameters:
  `geometry` - the IFeatureGeometry instance.
Returns:
  a GeoJSON representation of a geometry.